歡迎您光臨本站 註冊首頁

Linux下安裝 vmware 的問題

←手機掃碼閱讀     火星人 @ 2014-03-04 , reply:0

Linux下安裝 vmware 的問題

hi all,

本人在Redhat FC6 下,安裝vmware for linux 5.0 。可是安裝完后, 配置的時候,總是報錯,如下所示

# /usr/bin/vmware-config.pl

......


The directory of kernel headers (version @@[email protected]@ UTS_RELEASE) does not match
your running kernel (version 2.6.18-1.2798.fc6).  Even if the module were to
compile successfully, it would not load into the running kernel.

What is the location of the directory of C header files that match your running
kernel?

這裡提示找不到內核頭文件,可以我已經安裝過了,

# yum info kernel-devel
Loading "installonlyn" plugin
Setting up repositories
Reading repository metadata in from local files
Installed Packages
Name   : kernel-devel
Arch   : i586
Version: 2.6.18
Release: 1.2798.fc6
Size   : 14 M
Repo   : installed
Summary: Development package for building kernel modules to match the kernel.

而且目前運行的內核版本也源代碼版本是一致的
# uname -a
Linux fc6 2.6.18-1.2798.fc6 #1 SMP Mon Oct 16 14:54:20 EDT 2006 i686 i686 i386 GNU/Linux
#

對/usr/src/linux 而且也作了相應的鏈接到 /usr/src/kernels/2.6.18-1.2798.fc6-i586
# ll /usr/src
total 16
drwxr-xr-x 3 root root 4096 Apr 10 17:08 kernels
lrwxrwxrwx 1 root root   30 Apr 11 18:36 linux -> kernels/2.6.18-1.2798.fc6-i586
drwxr-xr-x 7 root root 4096 Apr 10 17:32 redhat
#

不知道為什麼總是這個問題,有誰解決過,請賜教,謝謝
《解決方案》

1. vmware server for linux 1.0

2. kernel head files
《解決方案》

二樓的,你是什麼意思?
《解決方案》

原帖由 drzhf 於 2007-4-12 11:19 發表於 3樓  
二樓的,你是什麼意思?

看錯誤提示,說的很明白:是你用的vmwer版本中的kernel-header和系統不匹配。so nntp版主讓你用vmware server 1.0,或者檢查你的kernel-header

[火星人 ] Linux下安裝 vmware 的問題已經有582次圍觀

http://coctec.com/docs/service/show-post-8429.html